MediaWiki

Common.css: Difference between revisions

From Mark Twain in the German Language Press

mNo edit summary
mNo edit summary
Line 1: Line 1:
/* CSS placed here will be applied to all skins */
/* ******* CSS placed here will be applied to all skins ******* */


/*Add color coding for translation changes (article pages)*/
/* ******* ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ******* */
.translationInsert {
.translationInsert {
     color: seagreen;
     color: seagreen;
}
}
   
.translationOmission {
.translationOmission {
     color: crimson;
     color: crimson;
}
}
   
.translationChange {
.translationChange {
     color: royalblue;
     color: royalblue;
}
}


/* Text styling for .translationTable */
/* ******* STYLING FOR .translationTable (ON ARTICLE PAGES) ******* */
.translationTable td {
.translationTable td {
vertical-align: top;
vertical-align: top;
}
}


/*Styling .articleNote and .collectionNote on article pages*/
/* ******* STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ******* */
.articleNote,
.articleNote,
.collectionNote {
.collectionNote {
Line 25: Line 23:
}
}


/*Styling for .translationChanges on article pages*/
/* ******* STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ******* */
/*Styling for .overviewExplanatoryNote on overview pages*/
.translationChanges,
.translationChanges,
.overviewExplanatoryNote {
.overviewExplanatoryNote {
Line 37: Line 34:
}
}


/*Table styling for .datatable*/
/* ******* STYLING FOR .datatable (ON OVERVIEW PAGES) ******* */
    /* ******* STYLING HEADER ROW WITH SEARCH INPUT FIELDS ******* */
.datatable > thead:nth-child(2) th {
.datatable > thead:nth-child(2) th {
padding: 0 5px;
padding: 0 5px;
}
}


    /* ******* STYLING "ENTRIES PER PAGE" DROP DOWN ******* */
.dt-container .dt-input{
.dt-container .dt-input{
padding: 5px;
min-width: 50px;
min-width: 50px;
}
}


    /* ******* STYLING "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ******* */
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button:hover,
.dtsb-searchBuilder .dtsb-button:hover,
Line 53: Line 52:
background-color: transparent !important;
background-color: transparent !important;
}
}
 
    /* ******* STYLING "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ******* */
.dtsb-searchBuilder .dtsb-dropDown {
.dtsb-searchBuilder .dtsb-dropDown {
height: auto !important;
height: auto !important;
min-width: 6em !important;
min-width: 6em !important;
}
}
.dtsb-searchBuilder .dtsb-input {
.dtsb-searchBuilder .dtsb-input {
display: inline;
display: inline;
}
}


/*Styling table of contents*/
/* ******* STYLING TABLE OF CONTENTS ******* */
#toc {
#toc {
background: #f8f9fa;
background: #f8f9fa;

Revision as of 09:20, 23 September 2025

/* ******* CSS placed here will be applied to all skins ******* */

/* ******* ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ******* */
.translationInsert {
    color: seagreen;
}
.translationOmission {
    color: crimson;
}
.translationChange {
    color: royalblue;
}

/* ******* STYLING FOR .translationTable (ON ARTICLE PAGES) ******* */
.translationTable td {
	vertical-align: top;
}

/* ******* STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ******* */
.articleNote,
.collectionNote {
	margin-bottom: 20px;
}

/*  ******* STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ******* */
.translationChanges,
.overviewExplanatoryNote {
	margin-bottom: 20px;
	margin-top: 20px;
	padding: 1em;
	background: #f8f9fa;
	border-radius: 3px;
	border: 1px solid #ccc;
}

/* ******* STYLING FOR .datatable (ON OVERVIEW PAGES) ******* */
    /* ******* STYLING HEADER ROW WITH SEARCH INPUT FIELDS ******* */
.datatable > thead:nth-child(2) th {
	padding: 0 5px;
}

    /* ******* STYLING "ENTRIES PER PAGE" DROP DOWN ******* */
.dt-container .dt-input{
	min-width: 50px;
}

    /* ******* STYLING "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ******* */
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button:hover,
.dtsb-searchBuilder .dtsb-logicContainer {
	background: transparent !important;
	background-color: transparent !important;
}
    /* ******* STYLING "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ******* */
.dtsb-searchBuilder .dtsb-dropDown {
	height: auto !important;
	min-width: 6em !important;
}
.dtsb-searchBuilder .dtsb-input {
	display: inline;
}

/* ******* STYLING TABLE OF CONTENTS ******* */
#toc {
	background: #f8f9fa;
	border-radius: 3px;
	border: 1px solid #ccc;
}

/*Styling of article overview table (#articleOverview)*/
#articleOverview th,
#articleOverview td {
	font-size: 14px;
}

#articleOverview tr:has(.n) td {
	color: #818589 !important;
}
#articleOverview tr:has(.n) td a {
	color: #60D8FF !important;
}

/*Styling for .topicLinkList on Topic Pages*/
.topicLinkList {
	margin-bottom: 20px;
}
.topicLinkList ul {
	list-style: inside;
}

/**/
figure[typeof~="mw:File/Thumb"],
figure[typeof~="mw:File/Frame"] {
	margin: 0.5em 0 0 1.4em;
}

figure[typeof~="mw:File/Thumb"].mw-halign-left,
figure[typeof~="mw:File/Frame"].mw-halign-left {
	margin: 0.5em 1.4em 0 0;
}

figure[typeof~="mw:File/Frameless"].mw-halign-right {
	margin: 0 0 0 1em;
}
figure[typeof~="mw:File/Frameless"].mw-halign-left {
	margin: 0 1em 0 0;
}